namespace Tests.Pages.BuildCalculator;

public class BuildOrderComponent
{
    private readonly Website _website;

    public BuildOrderComponent(Website website)
    {
        _website = website;
    }

    public ILocator JsonTextarea => _website.Locator("textarea");

    public async Task<string> GetJsonDataAsync()
    {
        return await JsonTextarea.InputValueAsync();
    }
}